use wasm_bindgen::prelude::*;

mod utils;

// use wee_alloc as the global allocator if the feature is enabled
#[cfg(feature = "wee_alloc")]
#[global_allocator]
static ALLOC: wee_alloc::WeeAlloc = wee_alloc::WeeAlloc::INIT;

#[wasm_bindgen]
pub fn wasm_main() {
    // set panic hook when console_error_panic_hook feature is enabled
    #[cfg(feature = "console_error_panic_hook")]
    utils::set_panic_hook();

    utils::alert("Hello, WebAssembly!");
}
